Source: libfile-listing-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Angel Abad <angel@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libhttp-date-perl <!nocheck>,
                     perl
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libfile-listing-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libfile-listing-perl.git
Homepage: https://metacpan.org/release/File-Listing
Rules-Requires-Root: no

Package: libfile-listing-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libhttp-date-perl
Description: module to parse directory listings
 File::Listing exports a single function called parse_dir(), which can be used
 to parse directory listings.
 .
 The first parameter to parse_dir() is the directory listing to parse. It can
 be a scalar, a reference to an array of directory lines or a glob
 representing a filehandle to read the directory listing from.
 .
 The second parameter is the time zone to use when parsing time stamps in the
 listing. If this value is undefined, then the local time zone is assumed.
 .
 The third parameter is the type of listing to assume. Currently supported
 formats are 'unix', 'apache' and 'dosftp'. The default value 'unix'.
